#ifndef CMWCAMMORPHOLOGY_H_H
#define CMWCAMMORPHOLOGY_H_H

#include "cmwidget.h"
#include "calgorithm.h"
#include "cmwcamalgorithm.h"
namespace Ui {
class CMWCamMorphology_h;
}

class CMWCamMorphology_h : public CMWCamAlgorithm
{
    Q_OBJECT

public:
	explicit CMWCamMorphology_h(QWidget *parent =0);
    ~CMWCamMorphology_h();
    CAlgorithm* m_pAlgorithm;
    void MFresh();
    void MApply();
    QMutex * m_pMutex;
private slots:
    void on_pushButton_ADD_clicked();

    void on_pushButton_DEL_clicked();

    void on_pushButton_TEST_clicked();

    void on_tableWidget_Morphology_currentCellChanged(int currentRow, int currentColumn, int previousRow, int previousColumn);


private:
    Ui::CMWCamMorphology_h *ui;
};

#endif // CMWCAMMORPHOLOGY_H_H
